### Class

# Aravis GcValueIndexedNode

#### Description

    final class Aravis.GcValueIndexedNode : Aravis.GcPropertyNode
    {
      /* No available fields */
    }

No description available.

#### Ancestors

- ArvGcPropertyNode
- ArvGcNode
- ArvDomElement
- ArvDomNode
- GObject

#### Constructors

###### arv_gc_value_indexed_node_new

No description available.

#### Instance methods

###### arv_gc_value_indexed_node_get_index

No description available.

##### Methods inherited from ArvGcPropertyNode (20)

###### arv_gc_property_node_get_access_mode

No description available.

###### arv_gc_property_node_get_cachable

No description available.

###### arv_gc_property_node_get_display_notation

No description available.

###### arv_gc_property_node_get_display_precision

No description available.

###### arv_gc_property_node_get_double

No description available.

###### arv_gc_property_node_get_endianness

No description available.

###### arv_gc_property_node_get_int64

No description available.

###### arv_gc_property_node_get_linked_node

No description available.

###### arv_gc_property_node_get_lsb

No description available.

###### arv_gc_property_node_get_msb

No description available.

###### arv_gc_property_node_get_name

No description available.

since: 0.6.0

###### arv_gc_property_node_get_node_type

No description available.

###### arv_gc_property_node_get_representation

No description available.

###### arv_gc_property_node_get_sign

No description available.

###### arv_gc_property_node_get_streamable

No description available.

###### arv_gc_property_node_get_string

No description available.

###### arv_gc_property_node_get_visibility

No description available.

###### arv_gc_property_node_set_double

No description available.

###### arv_gc_property_node_set_int64

No description available.

###### arv_gc_property_node_set_string

No description available.

##### Methods inherited from ArvGcNode (1)

###### arv_gc_node_get_genicam

Retrieves the parent genicam document of `gc_node`.

##### Methods inherited from ArvDomElement (3)

###### arv_dom_element_get_attribute

No description available.

###### arv_dom_element_get_tag_name

No description available.

###### arv_dom_element_set_attribute

No description available.

##### Methods inherited from ArvDomNode (17)

###### arv_dom_node_append_child

Adds the node `new_child` to the end of the list of children of this node. If the `new_child` is already in the tree, it is first removed.

###### arv_dom_node_changed

No description available.

###### arv_dom_node_get_child_nodes

No description available.

###### arv_dom_node_get_first_child

No description available.

###### arv_dom_node_get_last_child

No description available.

###### arv_dom_node_get_next_sibling

No description available.

###### arv_dom_node_get_node_name

Gets the node name.

###### arv_dom_node_get_node_type

No description available.

###### arv_dom_node_get_node_value

Gets the node value.

###### arv_dom_node_get_owner_document

No description available.

###### arv_dom_node_get_parent_node

Get the parent node of `self`.

###### arv_dom_node_get_previous_sibling

No description available.

###### arv_dom_node_has_child_nodes

No description available.

###### arv_dom_node_insert_before

Inserts the node `new_child` before the existing child node `ref_child`. If `ref_child` is null, insert `new_child` at the end of the list of children. If the `new_child` is already in the tree, it is first removed.

###### arv_dom_node_remove_child

Removes the child node indicated by `old_child` from the list of children, and returns it.

###### arv_dom_node_replace_child

Replaces the child node `old_child` with `new_child` in the list of children, and returns the `old_child` node. If the `new_child` is already in the tree, it is first removed.

###### arv_dom_node_set_node_value

No description available.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from ArvGcPropertyNode (1)

###### Aravis.GcPropertyNode:node-type

No description available.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct AravisGcValueIndexedNodeClass {
      ArvGcPropertyNodeClass parent_class;

    }

No description available.

###### Class members

`parent_class: ArvGcPropertyNodeClass`

  No description available.